<div class="robot-leg">
  <svg viewBox="0 0 200 200" fill="none" xmlns="http://www.w3.org/2000/svg">
    <path
      d="M127.5 27.5C127.5 12.5883 115.412 0.5 100.5 0.5C85.5883 0.5 73.5 12.5883 73.5 27.5V162.5C73.5 177.412 85.5883 189.5 100.5 189.5C115.412 189.5 127.5 177.412 127.5 162.5V27.5Z"
      fill="#C4C4C4"
    />
    <path
      d="M73 154.5H128M73 137.5H128M73 120.5H128M73 103.5H128M73 37.5H128M73 53.5H128M73 68.5H128M73 85.5H128M100.5 0.5C115.412 0.5 127.5 12.5883 127.5 27.5V162.5C127.5 177.412 115.412 189.5 100.5 189.5C85.5883 189.5 73.5 177.412 73.5 162.5V27.5C73.5 12.5883 85.5883 0.5 100.5 0.5Z"
      stroke="black"
    />
    <path
      d="M138 199.5C138 193.656 137.03 187.87 135.146 182.471C133.261 177.072 130.499 172.166 127.017 168.034C123.534 163.902 119.4 160.624 114.851 158.387C110.301 156.151 105.425 155 100.5 155C95.5754 155 90.6991 156.151 86.1494 158.387C81.5997 160.624 77.4657 163.902 73.9835 168.034C70.5013 172.166 67.7391 177.072 65.8545 182.471C63.97 187.87 63 193.656 63 199.5H100.5H138Z"
      fill="#C4C4C4"
      stroke="black"
    />
  </svg>
</div>
